//args[0] : メッセージ
//args[1] : コールバック (引数: OK->true, Cancel->false)
//args[2] : キャンセルボタンを有効にするか(省略可)
var ConfirmWidgetClass = function(manager, args)
{
	this.size = new Point2D(600, 440);
	this.origin = new Point2D(20, 20);
	
	//オプション
	this.confirmCallback = args[1];
	
	ConfirmWidgetClass.base.apply(this, [
		manager,
		[
			[],
			function(ret){
				if(ret == null)
				{
					this.confirmCallback(false);
				}else
				{
					this.confirmCallback(true);
				}
			},
			false,
			0,
		]
	]);
	
	this.fixedMessage = args[0];
	this.origin = new Point2D(120, 90);
	this.size = new Point2D(400, 300);
	this.messageHeight = this.size.y;
	this.enableCancel = args[2] != undefined ? args[2] : true;
	this.messageBorder = "none";
	
}.extend(SelectWidgetClass);

